# Retrieve paginated list of ATS attachment files

GET https://api.letsdeel.com/rest/v2/ats/attachments/{attachable_type_slug}/{attachable_id}/{attachment_type_slug}

Use this endpoint to list attachment files for a specific ATS entity. Provide attachable_type_slug, attachable_id, and attachment_type_slug to specify which entity and attachment type to list.
 **Token scopes**: `ats:read`

Reference: https://developer.deel.com/api/reference/endpoints/ats/retrieve-paginated-list-of-ats-attachment-files

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /ats/attachments/{attachable_type_slug}/{attachable_id}/{attachment_type_slug}:
    get:
      operationId: retrieve-paginated-list-of-ats-attachment-files
      summary: Retrieve paginated list of ATS attachment files
      description: >-
        Use this endpoint to list attachment files for a specific ATS entity.
        Provide attachable_type_slug, attachable_id, and attachment_type_slug to
        specify which entity and attachment type to list.
         **Token scopes**: `ats:read`
      tags:
        - subpackage_ats
      parameters:
        - name: attachable_id
          in: path
          description: Unique identifier for the attachable entity
          required: true
          schema:
            type: string
            format: uuid
        - name: attachment_type_slug
          in: path
          description: Type of the attachment
          required: true
          schema:
            $ref: >-
              #/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachmentTypeSlug
        - name: attachable_type_slug
          in: path
          description: Type of the attachable entity
          required: true
          schema:
            $ref: >-
              #/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachableTypeSlug
        - name: cursor
          in: query
          description: The cursor for pagination
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of records returned in one response
          required: false
          schema:
            type: integer
            default: 20
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ATS_retrievePaginatedListOfAtsAttachmentFiles_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePaginatedListOfAtsAttachmentFilesRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePaginatedListOfAtsAttachmentFilesRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachmentTypeSlug:
      type: string
      enum:
        - CV
        - LOGO
        - OFFER_LETTER
        - OTHER
      title: >-
        AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachmentTypeSlug
    AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachableTypeSlug:
      type: string
      enum:
        - CANDIDATE
        - CAREER_PAGE_SETTING
        - JOB_POSTING
        - NOTE
        - OFFER
        - SENT_CANDIDATE_EMAIL
        - EMAIL_MESSAGE
        - TEMPORARY
        - EMAIL_TEMPLATE
        - JOB_ACTIVITY
      title: >-
        AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetParametersAttachableTypeSlug
    AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the attachment
        url:
          type: string
          format: url
          description: URL of the attachment
        file_key:
          type: string
          description: File key for the attachment
        file_name:
          type: string
          description: Name of the file
        ai_summary:
          type:
            - string
            - 'null'
          description: AI-generated summary of the attachment
        created_at:
          type: string
          format: date-time
          description: Timestamp when the attachment was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the attachment was last updated
        attachable_id:
          type: string
          format: uuid
          description: Unique identifier for the attachable entity
        file_content_type:
          type: string
          description: Content type of the file
        attachable_type_slug:
          type: string
          description: Type of the attachable entity
        attachment_type_slug:
          type: string
          description: Type of the attachment
        created_by_hris_organization_user_id:
          type:
            - string
            - 'null'
          format: uuid
          description: User ID who created the attachment
      required:
        - id
        - file_key
        - file_name
        - file_content_type
        - attachable_type_slug
        - attachment_type_slug
      title: >-
        AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaDataItems
    ATS_retrievePaginatedListOfAtsAttachmentFiles_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaDataItems
          description: Array of attachment objects
        has_more:
          type: boolean
          description: Indicates if there are more results available
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor for pagination to fetch next page
        total_count:
          type: number
          format: double
          description: Total count of attachments
      required:
        - data
        - has_more
        - next_cursor
        - total_count
      title: ATS_retrievePaginatedListOfAtsAttachmentFiles_Response_200
    AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaErrorsItems
    RetrievePaginatedListOfAtsAttachmentFilesRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrievePaginatedListOfAtsAttachmentFilesRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    RetrievePaginatedListOfAtsAttachmentFilesRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/AtsAttachmentsAttachableTypeSlugAttachableIdAttachmentTypeSlugGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrievePaginatedListOfAtsAttachmentFilesRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV"

querystring = {"cursor":"cursorValue","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV?cursor=cursorValue&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```